# Discussion post update

Updates discussion post's data. Requires "discussion" module to be active.

Endpoint: PATCH /api/discussions-posts/{id}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `id` (integer, required)
    Discussion post id
    Example: 1

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.name` (string,null)
    Name of the author.

  - `data.email` (string)
    Email of the author.

  - `data.title` (string,null)
    Title of the post.

  - `data.content` (string)
    Content of the post.

  - `data.creationDate` (string,null)
    Date and time of the discussion post creation.

  - `data.authorized` (boolean)
    Flag whether the post is authorized (visible on the web).

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.discussion` (object, required)

  - `data.discussion.id` (integer, required)
    discussion post ID

  - `data.discussion.parentId` (integer,null, required)
    discussion post parent ID

  - `data.discussion.productGuid` (any, required)
    Discussion post product identifier.

  - `data.discussion.articleId` (integer,null, required)
    Discussion post article identifier.

  - `data.discussion.pageId` (integer,null, required)
    Discussion post page identifier.

  - `data.discussion.customerGuid` (any, required)
    Discussion post customer identifier.

  - `data.discussion.name` (string,null, required)
    name of the author

  - `data.discussion.email` (string,null, required)
    email of the author

  - `data.discussion.title` (string,null, required)
    title of the post

  - `data.discussion.content` (string,null, required)
    content of the post

  - `data.discussion.creationDate` (string,null, required)
    date and time of the post creation

  - `data.discussion.authorized` (boolean, required)
    flag whether the post is authorized (visible on the web)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 422 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


